Chat

Version 4.0.26.4 (latest)

Takes the latest conversation context (ID and a user message) and

returns a list of newly generated system messages.

Request

POST /conversational_analytics/chat
Datatype
Description
Request
HTTP Request
body
HTTP Body
Expand HTTP Body definition...
body
Conversation context necessary for generating new messages.
Expand ConversationalAnalyticsChatRequest definition...
conversation_id
string
A unique identifier for the conversation.
user_message
string
The text content of the most recent message in the conversation.

Response

200: A list of message objects generated in response to the user's input.

Datatype
Description
(array)
timestamp
string
The time at which the message was received or generated.
userMessage
A message from the user.
Expand UserMessage definition...
text
string
Text content of the user message.
systemMessage
A message from the system.
Expand SystemMessage definition...
text
A direct natural language response.
Expand TextMessage definition...
parts
string[]
textType
string
The type of the text message.
schema
A message produced during schema resolution.
Expand SchemaMessage definition...
query
A schema resolution query.
result
The result of a schema resolution query.
data
A message produced during data retrieval.
Expand DataMessage definition...
query
A data retrieval query.
generatedSql
string
SQL generated by the system.
result
Retrieved data.
generatedLookerQuery
(DEPRECATED) DEPRECATED: Looker Query generated by the system.
bigQueryJob
A BigQuery job executed by the system.
analysis
A message produced during analysis.
Expand AnalysisMessage definition...
query
An analysis query.
progressEvent
An event indicating the progress of the analysis.
chart
A message produced during chart generation.
Expand ChartMessage definition...
query
A query for generating a chart.
result
The result of a chart generation query.
error
An error message.
Expand ErrorMessage definition...
text
string
The text of the error.
exampleQueries
A message containing example queries.
Expand ExampleQueries definition...
exampleQueries
groupId
integer
Identifies the group that the event belongs to.
messageId
string
Unique id of the message in the conversation.

202: Accepted

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

403: Permission Denied

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

500: Server Error

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link